"""empty message

Revision ID: 722d589c2a55
Revises: 527c9112037a
Create Date: 2018-07-20 06:29:38.904102

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '722d589c2a55'
down_revision = '527c9112037a'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('contents',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('content_id', sa.String(length=50), nullable=True),
    sa.Column('name', sa.String(length=50), nullable=True),
    sa.Column('description', sa.String(length=250), nullable=True),
    sa.Column('application_id', sa.Integer(), nullable=False),
    sa.Column('download_path', sa.String(length=255), nullable=False),
    sa.Column('destination_path', sa.String(length=255), nullable=False),
    sa.ForeignKeyConstraint(['application_id'], ['applications.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index('idx_app_id_content_id', 'contents', ['application_id', 'content_id'], unique=True)
    op.create_table('installed_contents',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('content_id', sa.String(length=50), nullable=True),
    sa.Column('name', sa.String(length=50), nullable=True),
    sa.Column('installed_application_id', sa.Integer(), nullable=False),
    sa.Column('download_path', sa.String(length=255), nullable=False),
    sa.Column('destination_path', sa.String(length=255), nullable=False),
    sa.Column('current_state', sa.Enum('uninstalled', 'installed', name='contentstate'), nullable=False),
    sa.Column('target_state', sa.Enum('uninstalled', 'installed', name='contentstate'), nullable=False),
    sa.ForeignKeyConstraint(['installed_application_id'], ['installed_applications.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index('idx_inst_app_id_content_id', 'installed_contents', ['installed_application_id', 'content_id'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('idx_inst_app_id_content_id', table_name='installed_contents')
    op.drop_table('installed_contents')
    op.drop_index('idx_app_id_content_id', table_name='contents')
    op.drop_table('contents')
    # ### end Alembic commands ###
